# Check the health of the service (/docs/api-reference/envd/check-the-health-of-the-service)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 374 · updated: 2026-07-30 -->
Related: [Get the stats of the service](/docs/api-reference/envd/get-the-stats-of-the-service.md), [Get the environment variables](/docs/api-reference/envd/get-the-environment-variables.md), [Delete team volume](/docs/api-reference/volumes/delete-team-volume.md)

# Check the health of the service

`GET /health`

Check the health of the service

## OpenAPI

```json
{
  "security": [],
  "parameters": [
    {
      "name": "E2b-Sandbox-Id",
      "in": "header",
      "required": true,
      "description": "Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.",
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "E2b-Sandbox-Port",
      "in": "header",
      "required": true,
      "description": "Port envd listens on inside the sandbox (default 49983).",
      "schema": {
        "type": "integer",
        "default": 49983
      }
    }
  ],
  "responses": {
    "204": {
      "description": "The service is healthy"
    },
    "502": {
      "description": "Sandbox not found",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "sandboxID",
              "message",
              "code"
            ],
            "properties": {
              "message": {
                "type": "string",
                "description": "Error message"
              },
              "code": {
                "type": "integer",
                "description": "Error code"
              },
              "sandboxID": {
                "type": "string",
                "description": "Identifier of the sandbox"
              }
            }
          }
        }
      }
    }
  }
}
```
